summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-02-09 19:41:15 +0000
committerJim Meyering <jim@meyering.net>2000-02-09 19:41:15 +0000
commit8b7a023ff1e1ef2efdc417d37559bc5ff15f5d33 (patch)
tree961b3995797be6f709a1f48ab57cea8aa3978b95
parent31c3ae15451517e8d5493fae096469b8fef51821 (diff)
downloadcoreutils-8b7a023ff1e1ef2efdc417d37559bc5ff15f5d33.tar.xz
Exit 77 if we can't set up the framework (Volker Borchert reported
that this test would fail because mknod failed when run on SunOS4.1.4 using NFS-mounted disk from an OpenBSD system).
-rwxr-xr-xtests/mv/mv-special-15
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index 9500a9000..f7117dcfd 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -18,7 +18,10 @@ touch $dir/a/b/c/file1 $dir/d/e/f/file2 || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
- exit 1
+ # exit 77 here to indicate that we couldn't run the test.
+ # At least running on SunOS 4.1.4, using a directory NFS mounted
+ # from an OpenBSD system, the above mknod fails.
+ exit 77
fi
# Make sure we get English translations.